version: '3'
services:
  api-jd-test:
    image: harbor.com/api-jd-test:latest
    container_name: api-jd-test
    ports:
      - "9001:9001"
    environment:
      env: test
    volumes:
      - '/etc/localtime:/etc/localtime'
      - '/data/apps/jd/test/api/logs/operator:/logs'
      - '/data/apps/jd/test/static:/app/static'
      - '/data/apps/jd/test/fonts/zh:/usr/share/fonts/zh'
    restart: always
    ulimits:
      nproc: 65535
      nofile:
        soft: 32000
        hard: 40000
    deploy:
      resources:
        limits:
          cpus: '4'
          memory: 4G
    networks:
      net:
        ipv4_address: 10.10.0.20

networks:
  net:
    external: true
